{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}
Supported products
Required scopes
Authorizations
oauth2oauth2oauth2oauth2oauth2
Authorization
string
header
required
The access token received from the authorization server in the OAuth 2.0 flow.
Scopes
cms.knowledge_base.settings.read
cms.knowledge_base.articles.publish
cms.knowledge_base.articles.write
cms.knowledge_base.articles.read
cms.knowledge_base.settings.write
Query Parameters
after
string
A pagination cursor. Pass the value from the previous response’s paging.next.after to retrieve the next page.
createdAfter
string<date-time>
Filter to knowledge bases created after a specific date and time. Accepts an ISO-8601 timestamp (e.g., 2026-09-20T00:00:00Z) or a plain date (e.g., 2026-09-20).
createdAt
string<date-time>
Filter knowledge bases to those with this exact creation date and time. Accepts an ISO-8601 timestamp (e.g., 2026-09-20T00:00:00Z) or a plain date (e.g., 2026-09-20).
createdBefore
string<date-time>
Filter to knowledge bases created before the specified date and time. Accepts an ISO-8601 timestamp (e.g., 2026-09-20T00:00:00Z) or a plain date (e.g., 2026-09-20).
limit
integer<int32>
The maximum number of results to display per page. Default is 25, maximum is 100.
sort
string[]
Specify how to sort results. Accepts name, createdAt, or updatedAt; prefix a field with - for descending order (e.g., -createdAt). Defaults to createdAt descending (newest first).
updatedAfter
string<date-time>
Filter to knowledge bases updated after the specified date and time. Accepts an ISO-8601 timestamp (e.g., 2026-09-20T00:00:00Z) or a plain date (e.g., 2026-09-20).
updatedAt
string<date-time>
Filter knowledge bases to those with this exact update date and time. Accepts an ISO-8601 timestamp (e.g., 2026-09-20T00:00:00Z) or a plain date (e.g., 2026-09-20).
updatedBefore
string<date-time>
Filter to knowledge bases updated before the specified date and time. Accepts an ISO-8601 timestamp (e.g., 2026-09-20T00:00:00Z) or a plain date (e.g., 2026-09-20).
Response
successful operation
results
object[]
required
The knowledge bases in this page of results, as an array of KnowledgeBase objects.
Show child attributes
paging
object
Show child attributes
Last modified on September 28, 2026
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.